Bug 1274084 - [RFE] Support for AWS Secure Token Service (STS) with RGW
[RFE] Support for AWS Secure Token Service (STS) with RGW
Status: ASSIGNED
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW (Show other bugs)
1.3.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 4.0
Assigned To: Marcus Watts
ceph-qe-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 17:04 EDT by Neil Levine
Modified: 2017-07-30 11:43 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
uboppana: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Neil Levine 2015-10-21 17:04:32 EDT
AWS provides the Secure Token Service to allow secure federation with existing identity services like Active Directory. STS is a standalone REST service which provides temporary tokens for an application or user to access an S3 endpoint after having the user authenticates against an IDP.

We will deliver a standalone service that provides the STS service for use with RGW.

In addition, to the extent that RGW also provides IAM like functions, there are changes needed to the RGW service itself needed to interact with an IDP.
Comment 4 Ken Dreyer (Red Hat) 2016-03-14 21:24:49 EDT
STS is not in master. From Marcus' comment in bug 1261912, STS support may land in Kraken, with the possibility of a backport to Jewel. Re-targeting to RHCS 2.1.

Note You need to log in before you can comment on or make changes to this bug.